<!DOCTYPE html>
<html>

<head>
    <title>Grade Calculator</title>
    <link rel="stylesheet" href="https://stackpath.bootstrapcdn.com/bootstrap/4.3.1/css/bootstrap.min.css" integrity="sha384-ggOyR0iXCbMQv3Xipma34MD+dH/1fQ784/j6cY/iJTQUOhcWr7x9JvoRxT2MZw1T" crossorigin="anonymous">
    <link rel="stylesheet" type="text/css" href="styles.css">
</head>

<body>
    <div class="container py-5">
        <h1 class="text-center">Grade Calculator</h1>
        
        <p>The following rubric will be used to assess your team presentation. When an aspect of the performance criteria is missing, 0 will be allocated for the specific section:</p>
        
        <form id="gradeForm">
            <!-- Presentation structure and content -->
            <div class="form-group">
                <label for="score1"><b>Presentation structure and content (out of 8)</b></label>
                <p>The presentation should have a logical flow and a clear introduction, body, and conclusion.</p>
                <select id="score1" class="form-control">
                    <option value="" selected disabled hidden>Choose here</option>
                </select>
            </div>

            <!-- Presentation Skills -->
            <div class="form-group">
                <label for="score2"><b>Presentation Skills (out of 8)</b></label>
                <p>All team members should participate equally and with a professional demeanour.</p>
                <select id="score2" class="form-control">
                    <option value="" selected disabled hidden>Choose here</option>
                </select>
            </div>

            <!-- Presentation material or visual aids -->
            <div class="form-group">
                <label for="score3"><b></b>Presentation material or visual aids (out of 8)</b></label>
                <p>The slides should be visually appealing and engaging.</p>
                <select id="score3" class="form-control">
                    <option value="" selected disabled hidden>Choose here</option>
                </select>
            </div>

            <!-- Response to case -->
            <div class="form-group">
                <label for="score4"><b>Response to case (out of 8)</b></label>
                <p>The team should show an understanding of the case requirements and present the MVP specifications, objectives, and solutions at an appropriate technical level for the intended audience.</p>
                <select id="score4" class="form-control">
                    <option value="" selected disabled hidden>Choose here</option>
                </select>
            </div>

            <!-- Demonstration (functionality) -->
            <div class="form-group">
                <label for="score5"><b>Demonstration (functionality) (out of 68)</b></label>
                <p>The minimum viable product should allow users to access functionality via one or more shortcuts/automation. There should be a clear state within the application and a consistent application of the theme with user experience in mind.</p>
                <select id="score5" class="form-control">
                    <option value="" selected disabled hidden>Choose here</option>
                </select>
            </div>
        </form>
        
        <h2 id="result" class="text-center mt-4"></h2>
        <div class="table-responsive mt-5">
            <table id="grading-rubric" class="table table-striped table-bordered">
                <thead class="thead-dark">
                    <tr>
                        <th scope="col">Performance criteria</th>
                        <th scope="col">Weight</th>
                        <th scope="col">Total</th>
                    </tr>
                </thead>
                <tbody>
                    <tr>
                        <td>Presentation structure and content</td>
                        <td>2%</td>
                        <td id="totalScore1">0.00%</td>
                    </tr>
                    <tr>
                        <td>Presentation Skills</td>
                        <td>2%</td>
                        <td id="totalScore2">0.00%</td>
                    </tr>
                    <tr>
                        <td>Presentation material or visual aids</td>
                        <td>2%</td>
                        <td id="totalScore3">0.00%</td>
                    </tr>
                    <tr>
                        <td>Response to case</td>
                        <td>2%</td>
                        <td id="totalScore4">0.00%</td>
                    </tr>
                    <tr>
                        <td>Demonstration (functionality)</td>
                        <td>17%</td>
                        <td id="totalScore5">0.00%</td>
                    </tr>
                </tbody>                                
            </table>
        </div>
        <script src="scripts.js"></script>
    </div>
</body>
</html>
